Skip to main content
GET
/
orgs
/
{org_id}
/
payment-links
List org payment links
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/orgs/{org_id}/payment-links \
  --header 'Authorization: <authorization>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "data": [
    {
      "link_id": "<string>",
      "org_id": "<string>",
      "email": "<string>",
      "link_ref": "<string>",
      "amount": 123,
      "currency": "<string>",
      "payer_currency": "<string>",
      "description": "<string>",
      "amount_type": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "paid_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Path Parameters

org_id
string
required

Response

Payment link list

data
object[]
count
integer